> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Trim

> Extract a segment from a video

<RequestExample>
  ```json Example Request theme={null}
  {
    "input": "https://example.com/video.mp4",
    "start": "00:00:10",
    "end": "00:00:30"
  }
  ```

  ```bash File Upload theme={null}
  curl -X POST https://api.ringbee.dev/v1/video/trim \
    -H "X-API-Key: YOUR_API_KEY" \
    -F "file=@video.mp4" \
    -F "start=00:00:10" \
    -F "end=00:00:30"
  ```
</RequestExample>

| Param | Type   | Description                |
| ----- | ------ | -------------------------- |
| start | string | Start timestamp (HH:MM:SS) |
| end   | string | End timestamp (HH:MM:SS)   |


## OpenAPI

````yaml POST /v1/video/trim
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/video/trim:
    post:
      tags:
        - Video
      summary: Trim
      description: Extract a segment from a video
      operationId: videoTrim
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - input
              properties:
                input:
                  type: string
                  description: Input file URL
                start:
                  type: string
                  description: Start timestamp (HH:MM:SS)
                end:
                  type: string
                  description: End timestamp (HH:MM:SS)
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: Upload file directly
                start:
                  type: string
                  description: Start timestamp (HH:MM:SS)
                end:
                  type: string
                  description: End timestamp (HH:MM:SS)
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````